{% extends '@ajax-layout/layout.twig' %}

{% block body %}

	<div id='listeError'>
	
	</div>
    <form method="POST" id='impressionCDE'>
    	<table class="table" id="tableau_impr">
    		<thead class="thead-dark">
    			<tr>
    				<th>{{ 'Sélection' | trad }}</th>
    				<th>{{ 'Titre exemplaire' | trad }}</th>
    				<th>{{ 'Type routage' | trad }}</th>
    				<th>{{ 'Coordonnées' | trad }}</th>
    			</tr>
    		</thead>
    		<tbody>    	
    			{% for CDE in infoImpression.ListeRoutage.Routage %}
    				<tr data-id="{{ loop.index }}">
    					<td>
    						<input type="checkbox" class="form-control checkbox" {{ CDE.Obligatoire=='true'? 'checked disabled':'checked' }} name="ObligatoireCheckbox_{{ loop.index }}">
    						<input type="hidden" value="{{ CDE.Obligatoire }}" name="Obligatoire_{{ loop.index }}">
    						<input type="hidden" value="{{ CDE.TypeExemplaire }}" name="TypeExemplaire_{{ loop.index }}">
        					<input type="hidden" value="{{ CDE.Id }}" name="Id_{{ loop.index }}">
        					<input type="hidden" value="{{ CDE.From }}" name="From_{{ loop.index }}">
    					</td>
    					<td>{{ inputAdvance('TEXT', {
    					        'titre' : '',
    					        'name' : 'TitreExemplaire_'~loop.index,
    					        'value' : CDE.TitreExemplaire,
    					        'option' : CDE.Obligatoire=='true'? 'readOnly':''
    					    }) }}
    					</td>
    					<td>{{ inputAdvance('SELECT', {
    					        'titre' : '',
    					        'name' : 'TypeRoutage_'~loop.index,
    					        'listeValue' : CDE.TypeRoutage| convertStr == 'D'? listeTypeRoutageEDI:listeTypeRoutage,
    					        'value' : CDE.TypeRoutage| convertStr,
    					        'option' : CDE.TypeRoutage| convertStr == 'D'? 'readOnly':''
    					    }) }}
    					    {% if CDE.TypeRoutage| convertStr =='' or CDE.TypeRoutage| convertStr == 'P' %}
    					    	{% set display_MAIL = 'display:none;' %}
							{% else %}
								{% set display_MAIL = '' %}
    					    {% endif %}
    					    
    					</td>
    					<td>{{ inputAdvance('TEXT', {
    					        'titre' : '',
    					        'name' : 'Mail_'~loop.index,
    					        'value' : CDE.Mail,
    					        'addStyle' : display_MAIL,
    					        'option' : CDE.TypeRoutage| convertStr == 'D'? 'readOnly':''
    					    }) }}
                            {{ inputAdvance('TEXT', {
    					        'titre' : '',
    					        'name' : 'Fax_'~loop.index,
    					        'value' : CDE.Fax,
    					        'addStyle' : ((CDE.TypeRoutage| convertStr) in ['E','P','D'] ?'display:none;' : ''),
    					        'option' : CDE.TypeRoutage| convertStr == 'D'? 'readOnly':''
    					    }) }}
    					</td>
    				</tr>
    				
    				<script>
        				$('#input_TypeRoutage_{{ loop.index }}').change(function(){
            				var index = {{ loop.index }};
            				if($('#input_TypeRoutage_'+index).val()=='E')
                			{
            					$('#input_Mail_'+index).show();
            					$('#input_Fax_'+index).hide();
                    		}
            				else if($('#input_TypeRoutage_'+index).val()=='F')
                			{
            					$('#input_Mail_'+index).hide();
            					$('#input_Fax_'+index).show();
                    		}
            				else if($('#input_TypeRoutage_'+index).val()=='P')
                			{
            					$('#input_Mail_'+index).hide();
            					$('#input_Fax_'+index).hide();
                    		}
            			});
    				</script>
    				
    			{% endfor %}
    		</tbody>
    	</table>
    	{% if routage!='interne' %}
        	<button type="button" class="button principal button_left" onClick='addLigne("{{ path('Commande.Commande.ajoutLigneExemplaire') }}")'>{{ 'Ajouter' | trad }}</button>
    	{% endif %}
         <div class="validation_modal modal-footer">
            <button type="button" class="button principal button_right" onClick='sendFormImp("{{ path('Commande.Commande.ajaxImpression', {idCommande:idCommande, routage:routage}) }}");'>
				{% if routage == 'envoyer' %}
					{{'Envoyer' | trad }}
				{% else %}
					{{'Imprimer' | trad }}
				{% endif %}
			</button>
            <button type="button" class="button secondaire button_right" onClick='desactivePopup();'>{{ 'Fermer' | trad }}</button>
		</div>
		<script>
    		function sendFormImp(path)
    		{
        		activeLoader();
    			$.ajax({
    			  	dataType : 'html',
        			url: path,
        			data: $('#impressionCDE').serialize(),
        			type: "POST",
        			success: function(data){
        				desactiveLoader();
            			$('#modal-body').html(data);
            			$('#modal-header').html(data);
        			},
        			error : function(result){
        				desactiveLoader();
            			$('#listeError').html(result.responseText.substring(6));
            			$('#listeError').addClass('modal_erreur');
        			}
    			});
        	}
        	function addLigne(path)
        	{
        		var id =  $('#tableau_impr tr:last').data('id');
            	var nextId =  $('#tableau_impr tr:last').data('id') + 1;

    			$.ajax({
    			  	dataType : 'html',
        			url: path,
        			data: {'id' : nextId},
        			type: "POST",
        			success: function(result){
            			
            				$('#tableau_impr tr:last').after(result);
        			}
    			});
            }
		</script>
    </form>
{% endblock %}